﻿License Ğ1 - v0.2.9
===================

:date: 2017-08-21 16:59
:modified: 2018-07-14 18:05

**Money licensing and liability commitment.**

Any certification operation of a new member of Ğ1 must first be accompanied by the transmission of this license of the Ğ1 currency
whose certifier must ensure that it has been studied, understood and accepted by the person who will be certified.

Any meeting event about Ḡ1 should include the acknowledgment of this license, which can be read out loud, or given by any means.

Ğ1 Web of Trust (Ğ1 WoT)
------------------------

**Warning:** Certifying is not just about making sure you've met the person, it's ensuring the Ğ1 community you know
the certified person well enough and you will know how to contact her easily, and be able to spot a double account made by a person certified by you,
or other types of problems (disappearance ...), by cross-checking that will reveal the problem if necessary.

**Highly recommended advices**

A well-known person imply that you are able to contact her by many different means (physically, digitally, other...) but also
that you know some who know her as well and can contact her as easily. Notably, if you don't know well her other certifiers it's
a strong sign that you don't know the person well and a certification made in this context will alert all the Ğ1 community.
In a case of insufficient knowledge then no certification should occur.

Never certify alone, but always with another member of the Web of Trust to avoid any software misuse. In case of any error,
immediately contact other community member of the Ğ1 WoT.

Verify that the future certified person master her account operations : a good way to verify it is to transfer some Ğ1 to the target account,
and to ask then a refund to your own account, it will assure you that the certified person master his private key.

Verify that your contacts have studied and understood the last version of the license.

If you are aware that an effective certifier or a future certifier of an account does not know the account owner, please alert immediately some
experts of the subject among your contacts in the Ğ1 WoT, for the procedure to be verified by the Ğ1 WoT members.

When you are a member of the Ğ1 WoT and you are about to certify a new account:

**You are assured:**

**1 -** That you know well enough (not only "have seen" once) the person who declare to handle this public key (new account).
Look at the above advices about "know well".

**2 -** To have personally verified with her that it is the good public key you are about to certify. (see advices above).

**3 -** To have verified with the person that she has indeed generated his Duniter account revocation document file, which will enable her,
if necessary, to cancel his member status (in case of account theft, UID change, an incorrectly created account, etc.).

**4a -** To meet her physically to make sure that it is this person you know who manages this public key.

**4b -** Or to remotely verify the person <-> public key link by contacting the person via several different means of communication,
such as post mail + social network + forum + email + video meeting + phone (acknowledge voice). Because if you can hack an email account
or a forum account, it will be much harder to imagine hacking four distinct means of communication,
and mimic the appearance (video) as well as the voice of the person.

However, the **4a** is preferable to **4b**, whereas the **1**, **2** and **3** statements are always required in all cases.

**Abbreviated WoT rules:**

Each member has a stock of 100 possible certifications, which can only be issued at the rate of 1 certification / 5 days.

Valid for 2 months, certification for a new member is definitively adopted only if the certified has at least 4 other certifications after these 2 months,
otherwise the entry process will have to be relaunched.

To become a new member of the Ğ1 WoT therefore 5 certifications must be obtained at a distance <= 5 of 80% of the WoT sentinels.

A member of the Ğ1 WoT is sentinel when he has received and issued at least Y[N] certifications where N is the number of members of the WoT and
Y[N] = ceiling N ^ (1/5).

Examples:

* For 1024 < N ≤ 3125 we have Y [N] = 5
* For 7776 < N ≤ 16807 we have Y [N] = 7
* For 59049 < N ≤ 100 000 we have Y [N] = 10

Once the new member is part of the Ğ1 WoT his certifications remain valid for 2 years.

To remain a member, you must renew your agreement regularly with your private key (every 12 months) and make sure you have
at least 5 certifications valid after 2 years.

Ğ1 money
--------

Ğ1 creation occurs via a Universal Dividend (DU) for any human member, which is of the form:

* 1 DU per person per day

The amount of DU is identical each day until the next equinox, where the DU will then be reevaluated according to the formula:

* DU <sub>day</sub> (the following equinox) = DU <day>(equinox) + c² (M / N) (equinox) / (15778800 seconds)</day>

With as parameters:

* c = 4.88% / equinox
* UD (0) = 10.00 Ğ1

And as variables:

* _M_ the total monetary mass at the equinox
* _N_ the number of members at the equinox

Ğ1 softwares and Ğ1 license
---------------------------

The Ğ1 softwares allowing users to manage their use of Ğ1 must transmit this license with the software and all the technical parameters
of the Ğ1 currency and Ğ1 WoT which are entered in block 0 of Ğ1.

For more accuracy in the technical details it is possible to consult directly the code of Duniter which is a free software
and also the data of the Ğ1 blockchain by retrieving it via a Duniter instance or Ğ1 node.

More information on the Duniter Team website [https://www.duniter.org](https://www.duniter.org)
